# Workflow Common Errors

Here we explain a few common errors happening when executing a workflow and how to resolve them.

### Can't find an element with "{selector}" selector <a href="#element-not-found" id="element-not-found"></a>

This error occurs when the element selector does not match any element on the page. You can use the Element Exist block to check if the elements exist on the page. Or you can go to the element selector options and turn on "Wait for selector".

### Can't find a tab with "{pattern}" patterns [#](https://docs.automa.site/reference/javascript-execution-context.html#no-match-tab) <a href="#no-match-tab" id="no-match-tab"></a>

The Match Patterns you input do not match with any URLs tab. You can learn about writing match patterns on the MDN page.

### Content body is not valid JSON [#](https://docs.automa.site/reference/javascript-execution-context.html#invalid-body) <a href="#invalid-body" id="invalid-body"></a>

The request body in the HTTP Request block is not in the JSON format.

You may follow this guidance if you try to refer to the data in the body.

### Can't connect to a tab, use "New tab" or "Active tab" block before using the "{name}" block. [#](https://docs.automa.site/reference/javascript-execution-context.html#no-tab) <a href="#no-tab" id="no-tab"></a>

This occurs because the block you are trying to use requires an active tab to operate. An active tab in this situation is a tab in which the block will execute.

To fix this, you can use a New Tab block or an Active Tab block before the block you try to use.

### "{url}" is invalid URL [#](https://docs.automa.site/reference/javascript-execution-context.html#invalid-active-tab) <a href="#invalid-active-tab" id="invalid-active-tab"></a>

This error happens if the value you enter is not a valid URL. Valid URLs must begin with HTTP or HTTPs such as "<https://example.com>".


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.goless.com/reference/workflow-common-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
